package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 账号状态
 */
public enum eApproveStatu {
    Audit(1),//待审核
    Refused(2),//已拒绝
    Pushed(3);//已推送

    private int value;

    eApproveStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eApproveStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eApproveStatu.Audit;
            case 2:
                return eApproveStatu.Refused;
            case 3:
                return eApproveStatu.Pushed;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "待审核":
                return 1;
            case "已拒绝":
                return 2;
            case "已推送":
                return 3;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "待审核";
            case 2:
                return "已拒绝";
            case 3:
                return "已推送";
            default:
                return null;
        }
    }
}
